import { html as h } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (p, t, c, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, c) : t, o = p.length - 1, i; o >= 0; o--)
    (i = p[o]) && (e = (r ? i(t, c, e) : i(e)) || e);
  return r && e && m(t, c, e), e;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chartIncrease", this.class = "c-pieIcon c-pieIcon--chartIncrease", this.name = "IconChartIncrease";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chartIncrease"><path d="M2.969 11.5H4.28v2.625H2.97zm4.375 2.625h1.312V9.75H7.344zm4.375 0h1.312V8H11.72zm.656-12.031h-3.5v1.312h2.047C8.455 6.25 6.092 7.344 2.75 7.344v1.312c3.631 0 6.309-1.225 8.969-4.156v1.75h1.312v-3.5a.665.665 0 0 0-.656-.656"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  f("icon-chart-increase")
], s);
export {
  s as IconChartIncrease
};
